#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/var/opt/openit/etc/daft.conf";
my $old = "/var/opt/openit/etc/daft.conf.old";
my $new = "/var/opt/openit/etc/daft.conf.new";

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";

# Updated licpoll2 line
while(my $line = <IN>) {
    if($line =~ /licpoll2\(String\)/) {
	if($line !~ /license-usergroups-v2/) {
	    $line =~ s/P1H\"{}/P1H,license-usergroups-v2:P1H,license-hostgroups-v2:P1H\"{}/;
	}
    }

    print OUT $line;
}
close(IN);
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
